
CoCoALib - Bug #228

libcocoa sometimes built without its index

18 Sep 2012 16:27 - John Abbott

Status: Closed Start date: 18 Sep 2012

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Portability Estimated time: 0.25 hour

Target version: CoCoALib-0.99550 spring 2017 Spent time: 0.20 hour

Description

Winfried Bruns reports the following issue:

... sometimes libcocoa.a is created without an index on my machines. This is immediately cured by running ranlib on the file. We are

not sure why this happens. Actually my CoCoA stuff resides in a Windows file system and Ubuntu runs in a VirtualBox.

Winfried confirmed that he did not use the -j flag when running make.

History

#1 - 28 Apr 2017 11:12 - Anna Maria Bigatti

- Project changed from CoCoA to CoCoALib

- Category set to Portability

- Target version set to CoCoALib-0.99560

This issue was under "CoCoA" instead of "CoCoALib".

I'm recovering these old and forgotten issues, so we reconsider them.

#2 - 28 Apr 2017 13:49 - John Abbott

- Subject changed from libcocoa sometime built without its index to libcocoa sometimes built without its index

- Status changed from New to In Progress

- % Done changed from 0 to 10

We should ask Winfried if this problem has arisen lately.  I have never seen anything like it, and I suspect that Winfried's silence on the matter means

that it no longer happens to him either.  If that is the case, I think we can close this issue.

Waiting for a response from Winfried...

#3 - 28 Apr 2017 14:54 - Winfried Bruns

I have completely forgotten what the problem was. I don't think it is relevant anymore.

#4 - 28 Apr 2017 16:14 - John Abbott

- Status changed from In Progress to Closed

- Assignee set to John Abbott

- Target version changed from CoCoALib-0.99560 to CoCoALib-0.99550 spring 2017

- % Done changed from 10 to 100

- Estimated time set to 0.25 h

Since Winfried does not recall anything about this issue, I think we can regard it as having been resolved at some point.  ==>  Closing!
